taccuino.vo

## Class EventoRequestDTO

- java.lang.Object
- - taccuino.vo.EventoRequestDTO

- Direct Known Subclasses:
    EventoResponseDTO

      public class EventoRequestDTO
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `code`
    `protected String` | `codeSystem`
    `protected String` | `codeSystemName`
    `protected Double` | `codeSystemVersion`
    `protected LocalDate` | `dataEvento`
    `protected String` | `descrizioneEvento`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EventoRequestDTO()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCode()`
    `String` | `getCodeSystem()`
    `String` | `getCodeSystemName()`
    `Double` | `getCodeSystemVersion()`
    `LocalDate` | `getDataEvento()`
    `String` | `getDescrizioneEvento()`
    `void` | `setCode(String code)`
    `void` | `setCodeSystem(String codeSystem)`
    `void` | `setCodeSystemName(String codeSystemName)`
    `void` | `setCodeSystemVersion(Double codeSystemVersion)`
    `void` | `setDataEvento(LocalDate dataEvento)`
    `void` | `setDescrizioneEvento(String descrizioneEvento)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### dataEvento

          protected LocalDate dataEvento

    - #### descrizioneEvento

          protected String descrizioneEvento

    - #### code

          protected String code

    - #### codeSystem

          protected String codeSystem

    - #### codeSystemName

          protected String codeSystemName

    - #### codeSystemVersion

          protected Double codeSystemVersion

  - ### Constructor Detail

    - #### EventoRequestDTO

          public EventoRequestDTO()

  - ### Method Detail

    - #### getDataEvento

          public LocalDate getDataEvento()

    - #### setDataEvento

          public void setDataEvento(LocalDate dataEvento)

    - #### getDescrizioneEvento

          public String getDescrizioneEvento()

    - #### setDescrizioneEvento

          public void setDescrizioneEvento(String descrizioneEvento)

    - #### getCode

          public String getCode()

    - #### setCode

          public void setCode(String code)

    - #### getCodeSystem

          public String getCodeSystem()

    - #### setCodeSystem

          public void setCodeSystem(String codeSystem)

    - #### getCodeSystemName

          public String getCodeSystemName()

    - #### setCodeSystemName

          public void setCodeSystemName(String codeSystemName)

    - #### getCodeSystemVersion

          public Double getCodeSystemVersion()

    - #### setCodeSystemVersion

          public void setCodeSystemVersion(Double codeSystemVersion)